package com.hzya.frame.mdm.mdmModuleRoleButton.entity;

import java.util.Date;
import java.util.List;

import com.hzya.frame.sys.userRole.entity.UserRole;
import com.hzya.frame.web.entity.BaseEntity;

/**
 * 主数据功能角色按钮表(MdmModuleRoleButton)实体类
 *
 * @author makejava
 * @since 2023-10-17 15:33:10
 */
public class MdmModuleRoleButtonEntity extends BaseEntity {

    /**
     * 主数据模版ID
     */
    private String mdmId;
    /**
     * 模块角色id
     */
    private String moduleRoleId;
    /**
     * 角色id
     */
    private String roleId;
    /**
     * 按钮类型
     */
    private String buttonType;
    /**
     * 按钮名
     */
    private String buttonName;

    /**
     * 角色ids
     */
    private List<UserRole> roleIds;

    public List<UserRole> getRoleIds() {
        return roleIds;
    }

    public void setRoleIds(List<UserRole> roleIds) {
        this.roleIds = roleIds;
    }

    public String getMdmId() {
        return mdmId;
    }

    public void setMdmId(String mdmId) {
        this.mdmId = mdmId;
    }

    public String getModuleRoleId() {
        return moduleRoleId;
    }

    public void setModuleRoleId(String moduleRoleId) {
        this.moduleRoleId = moduleRoleId;
    }

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public String getButtonType() {
        return buttonType;
    }

    public void setButtonType(String buttonType) {
        this.buttonType = buttonType;
    }

    public String getButtonName() {
        return buttonName;
    }

    public void setButtonName(String buttonName) {
        this.buttonName = buttonName;
    }

}

